Strumento di diagnostica DirectX

La documentazione relativa allo strumento di diagnostica Microsoft DirectX include i seguenti argomenti:

  • Panoramica dello strumento di diagnostica DirectX
  • Utilizzo dello strumento di diagnostica DirectX per l'individuazione dei problemi
  • Verifica funzionale dei componenti DirectX
  • Modifica delle funzionalità predefinite
  • Salvataggio di informazioni
  • Verifica di firme digitali WHQL


Panoramica dello strumento di diagnostica DirectX

Lo strumento di diagnostica Microsoft DirectX fornisce informazioni relative ai componenti e ai driver dell'API (Interfaccia di programmazione delle applicazioni, Application Programming Interface) DirectX presenti nel sistema. Consente di eseguire test della qualità di audio e grafica e dei provider di servizi Microsoft DirectPlay. Grazie a questo strumento è inoltre possibile disattivare alcune funzionalità di accelerazione hardware.

Lo strumento di diagnostica può essere utilizzato per raccogliere informazioni da sottoporre a un tecnico durante una chiamata di assistenza. Le informazioni raccolte possono essere salvate e incollate in un messaggio di posta elettronica.

Le informazioni sono presentate in una serie di schede. È possibile passare da una scheda all'altra in uno dei seguenti modi:

  • Facendo clic sulle schede.
  • Facendo clic su Successiva.
  • Selezionando una scheda e premendo il tasto freccia SINISTRA o freccia DESTRA.

In alcune schede dello strumento di diagnostica, ad esempio File DirectX, Musica e Input, le informazioni vengono visualizzate all'interno di tabelle. Per semplificarne la ricerca, le informazioni possono essere ordinate all'interno delle tabelle nel modo desiderato.

Per ordinare le informazioni in una tabella

  1. Individuare la colonna contenente le informazioni che si desidera utilizzare per ordinare la tabella.
  2. Fare clic sul pulsante in cima alla colonna.

    La tabella verrà ordinata alfabeticamente o numericamente in base agli elementi contenuti nella colonna specifica. Per invertire l'ordinamento (ad esempio da Z a A anziché da A a Z), fare di nuovo clic sul pulsante.

* Note

  • È possibile che alcune informazioni, ad esempio la quantità di memoria disponibile in una scheda video, siano approssimative.
  • Per ulteriori informazioni sul salvataggio delle informazioni raccolte tramite lo strumento di diagnostica DirectX, fare clic su Argomenti correlati.

Argomenti correlati

Verifica funzionale dei componenti DirectX

Salvataggio di informazioni


Utilizzo dello strumento di diagnostica DirectX per l'individuazione dei problemi

Se durante l'esecuzione delle applicazioni Microsoft DirectX si verificano problemi, sarà possibile individuarne la causa grazie allo strumento di diagnostica DirectX. Di seguito viene fornito un elenco delle informazioni da cercare:

  • Versioni non corrette dei componenti DirectX. Nel gruppo Note della scheda File DirectX cercare i messaggi di avviso relativi ai file beta e di debug. I file beta sono versioni di prova preliminari che non dovrebbero essere installate con le versioni finali. Le versioni di debug, utilizzate nello sviluppo delle applicazioni, non dovrebbero essere installate con i prodotti finali. È infatti possibile che, con le versioni di debug dei componenti, l'esecuzione delle applicazioni risulti particolarmente rallentata.
  • Accelerazione hardware insufficiente. Se l'accelerazione hardware di Microsoft DirectDraw o Direct3D non è disponibile, l'esecuzione di alcuni programmi risulterà molto lenta o addirittura impossibile. Nella casella di gruppo Funzionalità DirectX della scheda Schermo verificare se la voce DirectDraw, Direct3D o Accelerazione trama AGP è contrassegnata come "Non disponibile". In caso affermativo, si consiglia di aggiornare l'hardware in uso. In alternativa, se si utilizza un prodotto della famiglia Windows .NET Server 2003, potrebbe essere necessario attivare l'accelerazione grafica facendo doppio clic su Schermo nel Pannello di controllo, scegliendo la scheda Impostazioni, il pulsante Avanzate, quindi la scheda Risoluzione problemi e infine trascinando l'indicatore di scorrimento Accelerazione hardware su Max.
  • Periferica non collegata. Se un joystick o un'altra periferica di input non risponde, è possibile che sia configurata in modo non corretto. Accertarsi che la periferica sia elencata nella scheda Input dello strumento di diagnostica DirectX. Se non è elencata, aggiungerla utilizzando il Pannello di controllo.
  • Driver non firmati. Microsoft non ha ancora eseguito test sui driver non firmati per verificarne la totale compatibilità con la versione più recente di DirectX. Si consiglia di utilizzare driver con firma digitale dei laboratori Microsoft per il controllo della qualità dell'hardware per Windows (WHQL, Windows Hardware Quality Labs).

* Nota

  • Se si utilizza Servizi terminal per lavorare su un sistema remoto che supporta l'accelerazione hardware, lo strumento di diagnostica DirectX potrebbe rilevare tale supporto. Tuttavia, Servizi terminal non è in grado di utilizzare l'accelerazione hardware, di conseguenza il supporto non è in effetti disponibile.

Argomenti correlati

Salvataggio di informazioni

Verifica di firme digitali WHQL


Verifica funzionale dei componenti DirectX

È possibile eseguire la verifica funzionale di Microsoft DirectDraw e Direct3D per ogni monitor collegato al sistema in uso. È inoltre possibile eseguire verifiche funzionali di DirectSound per ogni periferica Wave di output e di DirectMusic per ogni porta per periferiche musicali.

Per eseguire la verifica di una funzionalità DirectX

  1. Fare clic sul pulsante Test nella scheda appropriata.
  2. Leggere gli eventuali messaggi visualizzati.
  3. Osservare o ascoltare mentre vengono eseguiti i test.
  4. Eseguire ogni test fino alla visualizzazione di un messaggio in cui viene richiesto se il test è stato completato correttamente. Se si risponde No non verranno eseguiti ulteriori test.

Per DirectMusic viene eseguito un unico test. Fare clic su OK per interrompere la riproduzione della musica indipendentemente dal fatto che sia stata riprodotta correttamente o meno.

È possibile eseguire il test della funzionalità di Microsoft DirectPlay su un qualsiasi provider di servizi disponibile.

Per eseguire la verifica funzionale di DirectPlay

  1. Nella scheda Rete fare clic su Test DirectPlay.
  2. Nella finestra di dialogo Test DirectPlay digitare un nome utente e selezionare un provider di servizi.
  3. Selezionare Crea nuova sessione, quindi fare clic su OK.
  4. Se è stata selezionata una connessione modem, fare clic su Rispondi nella finestra di dialogo Connessione modem per attivare la modalità di risposta automatica del modem.

Eseguire lo strumento di diagnostica Microsoft DirectX su un altro computer in grado di stabilire con il primo computer la connessione selezionata.

  1. Fare clic su Test DirectPlay.
  2. Digitare un nome utente differente.
  3. Selezionare lo stesso provider di servizi.
  4. Fare clic sul pulsante Partecipa a sessione esistente, quindi fare clic su OK.

    Per alcuni tipi di connessione potrebbe essere necessario fornire ulteriori informazioni, ad esempio un numero di telefono. Per una connessione TCP/IP in una rete locale, è possibile lasciare vuota la casella di testo.

  5. Nella finestra di dialogo Elenco sessioni contenente il nome della sessione creata nel primo computer, selezionare il nome della sessione.
  6. In entrambi i computer dovrebbe essere visualizzata una finestra di dialogo di chat. Digitare un messaggio nella casella di input di uno dei computer, quindi fare clic su Invia. Il messaggio dovrebbe essere visualizzato nell'area di scorrimento della finestra di dialogo di chat in entrambi i computer.


Modifica delle funzionalità predefinite

Nella scheda Audio è possibile impostare un livello di accelerazione hardware diverso utilizzando il dispositivo di scorrimento. I livelli di accelerazione hardware possono essere modificati solo dagli amministratori di sistema. Tale impostazione rimane attiva anche dopo la chiusura dello strumento di diagnostica Microsoft DirectX.

È possibile disattivare l'accelerazione hardware per Microsoft DirectDraw o Direct3D, se tale accelerazione è disponibile. A tale scopo, passare alla scheda Schermo di ogni periferica video, quindi fare clic su Disattiva. Dopo la disattivazione, l'accelerazione hardware non sarà disponibile per alcuna applicazione, anche dopo aver chiuso lo strumento di diagnostica DirectX. Per riattivare l'accelerazione hardware, fare clic su Attiva nella scheda Schermo appropriata.

* Nota

  • Se si disattiva l'accelerazione per DirectDraw, viene disattivata anche l'accelerazione per Direct3D.

È inoltre possibile impostare diversamente la frequenza di aggiornamento del monitor impostata dalle applicazioni a schermo intero DirectDraw. Si consiglia di eseguire questa operazione solo se si verificano problemi di visualizzazione con un'applicazione e vi sono fondati motivi per credere che l'applicazione imposti una frequenza di aggiornamento non corretta.

Per impostare una frequenza di aggiornamento diversa

  1. Nella scheda Altri argomenti fare clic su Sostituisci.
  2. Nella finestra di dialogo Sostituzione frequenza aggiornamento DirectDraw scegliere Sostituisci con e immettere una frequenza di aggiornamento valida per il monitor in uso.
  3. Fare clic su OK.

Per annullare la modifica in modo che la frequenza di aggiornamento venga impostata automaticamente dalle applicazioni DirectDraw

  1. Nella scheda Altri argomenti fare clic su Sostituisci.
  2. Nella finestra di dialogo Sostituzione frequenza aggiornamento DirectDraw fare clic su Impostazioni predefinite.


Salvataggio di informazioni

Per salvare informazioni

  1. Per salvare le informazioni raccolte tramite lo strumento di diagnostica Microsoft DirectX, fare clic su Salva tutte le informazioni.
  2. Le informazioni contenute in tutte le schede vengono salvate in un file, con il nome e nella posizione scelti. Per salvare il file in formato XML, selezionare File XML (*.xml) dalla casella Tipo file.

* Nota

  • È inoltre possibile salvare informazioni dal prompt dei comandi digitando:

    dxdiag [/x file di output] [/t file di output]

    dove /x invia i dati a un file XML, /t invia i dati a un file di testo e file di output specifica il nome e la posizione del file.


Verifica di firme digitali WHQL

Quando si verifica se i driver siano dotati di firma digitale WHQL (Windows Hardware Quality Labs), lo strumento di diagnostica DirectX potrebbe tentare di connettersi a Internet per scaricare nuovi certificati WHQL. Durante questo processo non verrà recuperata alcuna informazione dal sistema. La prima volta che si esegue lo strumento, viene chiesta l'autorizzazione alla connessione a Internet. Poiché l'autorizzazione verrà chiesta una sola volta, se in seguito si desidera modificare il comportamento dello strumento, selezionare o deselezionare Controlla firme digitali WHQL nella scheda Sistema.

È inoltre possibile eseguire questa operazione dal prompt dei comandi digitando:

dxdiag [/whql:on] [/whql:off]

dove /whql:on consente allo strumento di diagnostica DirectX di verificare le firme digitali WHQL, mentre /whql:off non consente allo strumento di eseguire la verifica.